POST api/NTCaseList/GetCaseOutcome/search
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfCaseOutcomeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of CaseOutcomeDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CaseNo": 1,
"EmployeeId": "sample string 2",
"EmployeeLName": "sample string 3",
"EmployeeFName": "sample string 4",
"CompanyEmployeeId": "sample string 5",
"CompanyName": "sample string 6",
"WLCode": "sample string 7",
"WLName": "sample string 8",
"Status": 1,
"CompanyCode": "sample string 9",
"CaseOutcome": 1,
"CloseDate": "2026-08-04T14:29:21.2523952-07:00",
"RelativeDateTime": "sample string 10",
"Totaldays": 11.1,
"CloseDateCheck": "2026-08-04T14:29:21.2523952-07:00",
"Comment": "sample string 12",
"EncounterId": 13,
"HighestLevelOfCare": "sample string 14",
"Workrelatedness": "sample string 15",
"occupationTypeData": 1,
"TotalNoOfEncounter": 1,
"Modality": "sample string 16",
"LevelOfCareEncounterNo": "sample string 17",
"NonOccupationalEncounterNo": "sample string 18",
"CaseIncidentNonOccupational": 1,
"CaseCreatedDate": "2026-08-04T14:29:21.2523952-07:00",
"HighestWorkStatus": "sample string 19",
"ClinicVisit": "sample string 20",
"WorkStatusEncounterNo": "sample string 21",
"ClinicVisitEncounter": "sample string 22",
"EnrouteTag": "sample string 23",
"COSDocumentType": "sample string 24",
"IsAnylogActive": true,
"IsAnyLoginUsersActiveCase": true,
"ActiveUserId": 1,
"ActiveUserFullName": "sample string 26",
"EntityId": 27,
"EccCaseTypeId": 1
},
{
"CaseNo": 1,
"EmployeeId": "sample string 2",
"EmployeeLName": "sample string 3",
"EmployeeFName": "sample string 4",
"CompanyEmployeeId": "sample string 5",
"CompanyName": "sample string 6",
"WLCode": "sample string 7",
"WLName": "sample string 8",
"Status": 1,
"CompanyCode": "sample string 9",
"CaseOutcome": 1,
"CloseDate": "2026-08-04T14:29:21.2523952-07:00",
"RelativeDateTime": "sample string 10",
"Totaldays": 11.1,
"CloseDateCheck": "2026-08-04T14:29:21.2523952-07:00",
"Comment": "sample string 12",
"EncounterId": 13,
"HighestLevelOfCare": "sample string 14",
"Workrelatedness": "sample string 15",
"occupationTypeData": 1,
"TotalNoOfEncounter": 1,
"Modality": "sample string 16",
"LevelOfCareEncounterNo": "sample string 17",
"NonOccupationalEncounterNo": "sample string 18",
"CaseIncidentNonOccupational": 1,
"CaseCreatedDate": "2026-08-04T14:29:21.2523952-07:00",
"HighestWorkStatus": "sample string 19",
"ClinicVisit": "sample string 20",
"WorkStatusEncounterNo": "sample string 21",
"ClinicVisitEncounter": "sample string 22",
"EnrouteTag": "sample string 23",
"COSDocumentType": "sample string 24",
"IsAnylogActive": true,
"IsAnyLoginUsersActiveCase": true,
"ActiveUserId": 1,
"ActiveUserFullName": "sample string 26",
"EntityId": 27,
"EccCaseTypeId": 1
}
],
"totalCount": 3
}